
//Given the length and width of a rectangle, this Java
//program determines its area and perimeter.

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;


public class AppletCalculator extends JApplet
{
    private JLabel firstValueL, secondValueL, resultL;

    private JTextField firstValueTF, secondValueTF, resultTF;


    private JButton addB, subB, mulB, divB;

    private addButtonHandler addHandler;
    private subButtonHandler subHandler;
    private mulButtonHandler mulHandler;
    private divButtonHandler divHandler;

    private static final int WIDTH = 400;
    private static final int HEIGHT = 300;

    public void init()
    {
		        // Create four labels
	    firstValueL = new JLabel("Enther the first value: ",
 	                          SwingConstants.RIGHT);
	    secondValueL = new JLabel("Enther the second value: ",
		                     SwingConstants.RIGHT);
	    resultL = new JLabel("The result: ",SwingConstants.RIGHT);


		          //Create four textfields
	    firstValueTF = new JTextField(15);
	    secondValueTF = new JTextField(15);
	    resultTF = new JTextField(15);


		          //create + Button
	    addB = new JButton("+");
	    addHandler = new addButtonHandler();
	    addB.addActionListener(addHandler);

		          //Create - Button
	    subB = new JButton("-");
	    subHandler = new subButtonHandler();
	    subB.addActionListener(subHandler);


	    	        //Create * Button
		mulB = new JButton("*");
	    mulHandler = new mulButtonHandler();
	    mulB.addActionListener(mulHandler);


	     	       //Create / Button
	    divB = new JButton("/");
	    divHandler = new divButtonHandler();
	    divB.addActionListener(divHandler);




		          //Get the container
	    Container pane = getContentPane();

		          //Set the layout
        pane.setLayout(new GridLayout(5,2));

		          //Place all items created
	    pane.add(firstValueL);
	    pane.add(firstValueTF);
	    pane.add(secondValueL);
	    pane.add(secondValueTF);
	    pane.add(addB);
	    pane.add(subB);
	    pane.add(mulB);
	    pane.add(divB);
	    pane.add(resultL);
	    pane.add(resultTF);



		        //set the size of the window and display it
	    setSize(WIDTH,HEIGHT);
	    setVisible(true);


    }

    private class addButtonHandler implements ActionListener
    {
	    public void actionPerformed(ActionEvent e)
	    {
	        double first, second, result, myR;


	        myR = Double.parseDouble(firstValueTF.getText()) + Double.parseDouble(secondValueTF.getText());
			result = Math.round(Math.ceil(myR*100))/100.0;
			resultTF.setText("" + result);

	    }
    }

    private class subButtonHandler implements ActionListener
    {
	    public void actionPerformed(ActionEvent e)
	    {

			double first, second, result, myR;

		    myR = Double.parseDouble(firstValueTF.getText()) - Double.parseDouble(secondValueTF.getText());
			result = Math.round(Math.ceil(myR*100))/100.0;
			resultTF.setText("" + result);

   	    }
    }



    private class mulButtonHandler implements ActionListener
	    {
		    public void actionPerformed(ActionEvent e)
		    {
				double first, second, result, myR;

			    myR = Double.parseDouble(firstValueTF.getText()) * Double.parseDouble(secondValueTF.getText());
				result = Math.round(Math.ceil(myR*100))/100.0;
				resultTF.setText("" + result);

	   	    }
    }



    private class divButtonHandler implements ActionListener
	    {
		    public void actionPerformed(ActionEvent e)
		    {
				double first, second, result, myR;

			    myR = Double.parseDouble(firstValueTF.getText()) / Double.parseDouble(secondValueTF.getText());
				result = Math.round(Math.ceil(myR*100))/100.0;
				resultTF.setText("" + result);

	   	    }
    }

   /* public static void main(String[] args)
	    {
		    AppletCalculator calcobject = new AppletCalculator();
    }*/



}
